# Uses of Enum Class
org.apache.sysds.hops.codegen.template.TemplateBase.CloseType

Packages that use TemplateBase.CloseType
Package
Description
org.apache.sysds.hops.codegen.template

## Uses of TemplateBase.CloseType in org.apache.sysds.hops.codegen.template

Fields in org.apache.sysds.hops.codegen.template declared as TemplateBase.CloseType
Modifier and Type
Field
Description
`TemplateBase.CloseType`
CPlanMemoTable.MemoTableEntry.`ctype`
Methods in org.apache.sysds.hops.codegen.template that return TemplateBase.CloseType
Modifier and Type
Method
Description
`abstract TemplateBase.CloseType`
TemplateBase.`close(Hop hop)`
Indicates if the template must be closed at the current hop; either due to final operations (e.g., aggregate) or unsupported operations.
`TemplateBase.CloseType`
TemplateCell.`close(Hop hop)`
`TemplateBase.CloseType`
TemplateMultiAgg.`close(Hop hop)`
`TemplateBase.CloseType`
TemplateOuterProduct.`close(Hop hop)`
`TemplateBase.CloseType`
TemplateRow.`close(Hop hop)`
`TemplateBase.CloseType`
TemplateBase.`getCType()`
`static TemplateBase.CloseType`
TemplateBase.CloseType.`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static TemplateBase.CloseType[]`
TemplateBase.CloseType.`values()`
Returns an array containing the constants of this enum class, in the order they are declared.
Methods in org.apache.sysds.hops.codegen.template with parameters of type TemplateBase.CloseType
Modifier and Type
Method
Description
`static TemplateBase[]`
TemplateUtils.`createCompatibleTemplates(TemplateBase.TemplateType type, TemplateBase.CloseType ctype)`
`static TemplateBase`
TemplateUtils.`createTemplate(TemplateBase.TemplateType type, TemplateBase.CloseType ctype)`
Constructors in org.apache.sysds.hops.codegen.template with parameters of type TemplateBase.CloseType
Modifier
Constructor
Description
``
`MemoTableEntry(TemplateBase.TemplateType t, long in1, long in2, long in3, int inlen, TemplateBase.CloseType close)`
``
`TemplateCell(TemplateBase.CloseType ctype)`
``
`TemplateCell(TemplateBase.TemplateType type, TemplateBase.CloseType ctype)`
``
`TemplateMultiAgg(TemplateBase.CloseType ctype)`
``
`TemplateOuterProduct(TemplateBase.CloseType ctype)`
``
`TemplateRow(TemplateBase.CloseType ctype)`